Bug 1573866 - RFE: Nginx docker image - Remove server data from request results
Summary: RFE: Nginx docker image - Remove server data from request results
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-nginx112-container
Version: rh-nginx112
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Luboš Uhliarik
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 11:57 UTC by Mauricio Magnani
Modified: 2021-01-14 09:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 08:40:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mauricio Magnani 2018-05-02 11:57:39 UTC
IHAC are working with the following Nginx docker image from RH registry :

   registry.access.redhat.com/rhscl/nginx-112-rhel7:1-10


< Server: nginx/1.12.1                 <------------------- data to remove for security reasons


For security reasons they would like this data not to be presented by default. It seems a good idea that this is standard in the image.

1. Why exactly do you need this feature? (List the business requirements here)

Security reasons. They do not provide any technical information on their infrastructure outside the company.

2. How would you like to achieve this? (List the functional requirements here)

 In this case by removing the http header server from http responses

3. Do you have any specific timeline dependencies?

Beginning of the  third quater 2018

4. Would you be able to assist in testing this functionality if implemented?

Yes we'll be pleased to help on testing this feature


Note You need to log in before you can comment on or make changes to this bug.